Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.intercept
Interface MessageExchangeInterceptor

All Known Implementing Classes:
  InstanceCountThrottler, NoOpInterceptor, ProcessCountThrottler, ProcessSizeThrottler

    public interface MessageExchangeInterceptor

Hook into the BPEL server that enables intercepting of message exchange invocation.

Nested Class Summary
`static interface` | `MessageExchangeInterceptor.InterceptorContext`

Method Summary
`void` | `onBpelServerInvoked(MyRoleMessageExchange mex, MessageExchangeInterceptor.InterceptorContext ic)` Called when the BPEL server is invoked, before any attempt to route the message exchange to a process.
`void` | `onJobScheduled(MyRoleMessageExchange mex, MessageExchangeInterceptor.InterceptorContext ic)` Called when the message is scheduled, before any attempt to invoke the BPEL server is made.
`void` | `onNewInstanceInvoked(MyRoleMessageExchange mex, MessageExchangeInterceptor.InterceptorContext ic)` Called when the BPEL server is invoked, after the message exchange has been routed to the process and it has been determined that a new instance needs to be created.
`void` | `onPartnerInvoked(PartnerRoleMessageExchange mex, MessageExchangeInterceptor.InterceptorContext ic)` Called when the BPEL server is invoked, before any attempt to route the message exchange to a process.
`void` | `onProcessInvoked(MyRoleMessageExchange mex, MessageExchangeInterceptor.InterceptorContext ic)` Called when the BPEL server is invoked, after the message exchange has been routed to the process.

Method Detail

### onJobScheduled

    void onJobScheduled(MyRoleMessageExchange mex,
                        MessageExchangeInterceptor.InterceptorContext ic)
                        throws FailMessageExchangeException,
                               FaultMessageExchangeException

  Called when the message is scheduled, before any attempt to invoke the BPEL server is made.

  Parameters:
    `mex` - message exchange
  Throws:
    `FailMessageExchangeException`
    `FaultMessageExchangeException`

### onBpelServerInvoked

    void onBpelServerInvoked(MyRoleMessageExchange mex,
                             MessageExchangeInterceptor.InterceptorContext ic)
                             throws FailMessageExchangeException,
                                    FaultMessageExchangeException

  Called when the BPEL server is invoked, before any attempt to route the message exchange to a process.

  Parameters:
    `mex` - message exchange
  Throws:
    `FailMessageExchangeException`
    `FaultMessageExchangeException`

### onProcessInvoked

    void onProcessInvoked(MyRoleMessageExchange mex,
                          MessageExchangeInterceptor.InterceptorContext ic)
                          throws FailMessageExchangeException,
                                 FaultMessageExchangeException

  Called when the BPEL server is invoked, after the message exchange has been routed to the process.

  Parameters:
    `mex` - message exchange
  Throws:
    `FailMessageExchangeException`
    `FaultMessageExchangeException`

### onNewInstanceInvoked

    void onNewInstanceInvoked(MyRoleMessageExchange mex,
                              MessageExchangeInterceptor.InterceptorContext ic)
                              throws FailMessageExchangeException,
                                     FaultMessageExchangeException

  Called when the BPEL server is invoked, after the message exchange has been routed to the process and it has been determined that a new instance needs to be created.

  Parameters:
    `mex` - message exchange
  Throws:
    `FailMessageExchangeException`
    `FaultMessageExchangeException`

### onPartnerInvoked

    void onPartnerInvoked(PartnerRoleMessageExchange mex,
                          MessageExchangeInterceptor.InterceptorContext ic)
                          throws FailMessageExchangeException,
                                 FaultMessageExchangeException

  Called when the BPEL server is invoked, before any attempt to route the message exchange to a process.

  Parameters:
    `mex` - message exchange
  Throws:
    `FailMessageExchangeException`
    `FaultMessageExchangeException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD